Bug 1000019 - Bogus dates in RPM changelog
Bogus dates in RPM changelog
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Niels de Vos
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 09:59 EDT by Justin Clift
Modified: 2015-08-24 15:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-14 04:00:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bash script to fix bogus weekdays in rpm spec files. (2.23 KB, application/x-shellscript)
2014-02-14 02:17 EST, Edward J. Huff
no flags Details

  None (edit)
Description Justin Clift 2013-08-22 09:59:56 EDT
Description of problem:

  Several warnings about "bogus date" show up, when running the
  Gluster Test Framework on RHEL 7:

    [17:04:40] ./tests/basic/rpm.t ............................... 2/5 warning: bogus date in %changelog: Fri Sep  1 2011 Joe Julian <me@joejulian.name> - 3.2.3-1
    warning: bogus date in %changelog: Mon Jun 21 2011 Joe Julian <me@joejulian.name> - 3.2.1
    warning: bogus date in %changelog: Mon May 31 2011 Joe Julian <me@joejulian.name> - 3.1.5-qa1.4
    warning: bogus date in %changelog: Sun Mar 19 2011 Jonathan Steffan <jsteffan@fedoraproject.org> - 3.1.3-1
    warning: bogus date in %changelog: Tue Feb 03 2011 Jonathan Steffan <jsteffan@fedoraproject.org> - 3.1.2-2
    warning: bogus date in %changelog: Sat Nov 8 2009 Jonathan Steffan <jsteffan@fedoraproject.org> - 2.0.8-1
    warning: bogus date in %changelog: Tue Apr 23 2008 Matthias Saou <http://freshrpms.net/> 1.3.8-0.10
    warning: bogus date in %changelog: Mon Apr 22 2008 Matthias Saou <http://freshrpms.net/> 1.3.8-0.9

  The date format should probably be adjusted to something that doesn't
  produce these warnings.


Version-Release number of selected component (if applicable):

  Latest upstream Gluster git as of Wed 21st August 2013.


How reproducible:

  Every time.


Steps to Reproduce:
1. Clone upstream Gluster git repo
2. Make and install the Gluster rpms using official instructions
3. Run the Gluster test framework (run_tests.sh)

   Problem occurs during the rpm.t part.
Comment 1 Anand Avati 2013-08-22 10:31:40 EDT
REVIEW: http://review.gluster.org/5692 (build: fix days and dates in the %changelog of the spec-file) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 2 Niels de Vos 2013-08-22 10:38:09 EDT
Justin, could you verify if those changes to the glusterfs.spec.in fix this for you? There is no automated regression test against a recent Fedora (or RHEL7).

Thanks,
Niels
Comment 3 Anand Avati 2013-08-23 00:32:20 EDT
COMMIT: http://review.gluster.org/5692 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 19fa9b4d6ee47e0f204b04abf9bc3adabbd9f0d4
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Aug 22 16:25:58 2013 +0200

    build: fix days and dates in the %changelog of the spec-file
    
    This prevents unneeded build warnings like:
    
        warning: bogus date in %changelog: Mon Apr 22 2008 ...
    
    Bug: 1000019
    Change-Id: Ie584e5faf5d04672186eada718aba7e71bd82b42
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/5692
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 4 Anand Avati 2013-08-23 12:06:57 EDT
REVIEW: http://review.gluster.org/5701 (build: fix days and dates in the %changelog of the spec-file (2nd part)) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 5 Anand Avati 2013-08-23 15:06:36 EDT
COMMIT: http://review.gluster.org/5701 committed in master by Anand Avati (avati@redhat.com) 
------
commit 32fb404ef2fda7368c11c591bfa4dcf269cbd320
Author: Niels de Vos <ndevos@redhat.com>
Date:   Thu Aug 22 16:25:58 2013 +0200

    build: fix days and dates in the %changelog of the spec-file (2nd part)
    
    This prevents more unneeded build warnings like:
    
        warning: bogus date in %changelog: Mon Apr 22 2008 ...
    
    Bug: 1000019
    Change-Id: I1d59fb93806e25a4629ce027beec324d03702e15
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/5701
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 6 Anand Avati 2013-12-23 14:14:45 EST
REVIEW: http://review.gluster.org/6584 (build: fix day in the %changelog) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)
Comment 7 Anand Avati 2013-12-23 14:18:45 EST
REVIEW: http://review.gluster.org/6585 (build: fix day in the %changelog) posted (#1) for review on release-3.5 by Harshavardhana (harsha@harshavardhana.net)
Comment 8 Anand Avati 2013-12-27 06:29:42 EST
COMMIT: http://review.gluster.org/6584 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 412e6ab75834f4ec3ba024b702374a84b2f18eb0
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Mon Dec 23 11:13:17 2013 -0800

    build: fix day in the %changelog
    
    This fixes `warnings` during build tests `rpm.t`
    
    Change-Id: I706ceb1a39d046fe26f70f7b1b06f059abd5d3c0
    BUG: 1000019
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/6584
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 9 Anand Avati 2013-12-28 00:24:49 EST
COMMIT: http://review.gluster.org/6585 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 0a377e4af6c026d5be1c0f685f2339805b83a28a
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Mon Dec 23 11:17:29 2013 -0800

    build: fix day in the %changelog
    
    This fixes `warnings` during build tests `rpm.t`
    
    Change-Id: I5609f1ab674ed0829e4d5ac049e4ca5d4f4b1a21
    BUG: 1000019
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/6585
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 10 Niels de Vos 2014-01-02 11:45:13 EST
Regression testing is not straight forward for this. New versions of 'rpm'
contain this in build/parseChangelog.c:

/* XXX Turn this into a hard error in a release or two */
if (!sameDate(&time, &ntime))
    rpmlog(RPMLOG_WARNING, _("bogus date in %%changelog: %s\n"), datestr);

So, at the moment it is not possible to abort on this error, but in a future
version it'll happen automatically. We're regularly building the packages on
Fedora and should notice these warnings every now and then.
Comment 11 Edward J. Huff 2014-02-14 02:17:37 EST
Created attachment 863130 [details]
bash script to fix bogus weekdays in rpm spec files.

This script automatically corrects bogus weekdays in spec files, generating a changelog entry and adding a line after the bogus date noting the original date. (The weekday might have been correct and the day of the month wrong). The input file is copied to a backup file, and a diff is printed.
Comment 12 Niels de Vos 2014-02-14 04:00:35 EST
Thanks for the script! For all I know, the dates should be correct now, current regression testruns and nightly builds do not have these errors anymore.

Note You need to log in before you can comment on or make changes to this bug.